Package org.mariadb.jdbc.client.result

## Class StreamingResult

- java.lang.Object
- - org.mariadb.jdbc.client.result.Result
  - - org.mariadb.jdbc.client.result.StreamingResult

All Implemented Interfaces:
  `AutoCloseable`, `ResultSet`, `Wrapper`, `Completion`, `ServerMessage`

    public class StreamingResult
    extends Result

### Field Summary

### Fields inherited from class org.mariadb.jdbc.client.result.Result

`closed, context, data, dataSize, exceptionFactory, loaded, maxRows, metadataList, outputParameter, reader, resultSetType, row, rowPointer, statement`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
`StreamingResult​(Statement stmt, boolean binaryProtocol, long maxRows, ColumnDefinitionPacket[] metadataList, PacketReader reader, Context context, int fetchSize, ReentrantLock lock, int resultSetType, boolean closeOnCompletion, boolean traceEnable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `absolute​(int idx)`
`void` `afterLast()`
`void` `beforeFirst()`
`void` `fetchRemaining()` When protocol has a current Streaming result (this) fetch all to permit another query is executing.
`boolean` `first()`
`int` `getFetchSize()`
`int` `getRow()`
`boolean` `isAfterLast()`
`boolean` `isFirst()`
`boolean` `isLast()`
`boolean` `last()`
`boolean` `next()`
`boolean` `previous()`
`boolean` `relative​(int rows)`
`void` `setFetchSize​(int fetchSize)`
`boolean` `streaming()`

### Methods inherited from class org.mariadb.jdbc.client.result.Result

`abort, addRowData, cancelRowUpdates, checkClose, checkNotForwardOnly, clearWarnings, close, closeFromStmtClose, deleteRow, findColumn, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCurrentRowData, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isBeforeFirst, isClosed, isOutputParameter, isWrapperFor, loaded, moveToCurrentRow, moveToInsertRow, readNext, refreshRow, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setStatement, skipRemaining, unwrap, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowData, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, useAliasAsName, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamingResult

    public StreamingResult​(Statement stmt,
                           boolean binaryProtocol,
                           long maxRows,
                           ColumnDefinitionPacket[] metadataList,
                           PacketReader reader,
                           Context context,
                           int fetchSize,
                           ReentrantLock lock,
                           int resultSetType,
                           boolean closeOnCompletion,
                           boolean traceEnable)
                    throws SQLException

Throws:
  `SQLException`

### Method Detail

#### streaming

    public boolean streaming()

Specified by:
  `streaming` in class `Result`

#### fetchRemaining

    public void fetchRemaining()
                        throws SQLException

When protocol has a current Streaming result (this) fetch all to permit another query is executing.

Specified by:
  `fetchRemaining` in class `Result`
Throws:
  `SQLException` - if any error occur

#### next

    public boolean next()
                 throws SQLException

Specified by:
  `next` in interface `ResultSet`
Specified by:
  `next` in class `Result`
Throws:
  `SQLException`

#### isAfterLast

    public boolean isAfterLast()
                        throws SQLException

Specified by:
  `isAfterLast` in interface `ResultSet`
Specified by:
  `isAfterLast` in class `Result`
Throws:
  `SQLException`

#### isFirst

    public boolean isFirst()
                    throws SQLException

Specified by:
  `isFirst` in interface `ResultSet`
Specified by:
  `isFirst` in class `Result`
Throws:
  `SQLException`

#### isLast

    public boolean isLast()
                   throws SQLException

Specified by:
  `isLast` in interface `ResultSet`
Specified by:
  `isLast` in class `Result`
Throws:
  `SQLException`

#### beforeFirst

    public void beforeFirst()
                     throws SQLException

Specified by:
  `beforeFirst` in interface `ResultSet`
Specified by:
  `beforeFirst` in class `Result`
Throws:
  `SQLException`

#### afterLast

    public void afterLast()
                   throws SQLException

Specified by:
  `afterLast` in interface `ResultSet`
Specified by:
  `afterLast` in class `Result`
Throws:
  `SQLException`

#### first

    public boolean first()
                  throws SQLException

Specified by:
  `first` in interface `ResultSet`
Specified by:
  `first` in class `Result`
Throws:
  `SQLException`

#### last

    public boolean last()
                 throws SQLException

Specified by:
  `last` in interface `ResultSet`
Specified by:
  `last` in class `Result`
Throws:
  `SQLException`

#### getRow

    public int getRow()
               throws SQLException

Specified by:
  `getRow` in interface `ResultSet`
Specified by:
  `getRow` in class `Result`
Throws:
  `SQLException`

#### absolute

    public boolean absolute​(int idx)
                     throws SQLException

Specified by:
  `absolute` in interface `ResultSet`
Specified by:
  `absolute` in class `Result`
Throws:
  `SQLException`

#### relative

    public boolean relative​(int rows)
                     throws SQLException

Specified by:
  `relative` in interface `ResultSet`
Specified by:
  `relative` in class `Result`
Throws:
  `SQLException`

#### previous

    public boolean previous()
                     throws SQLException

Specified by:
  `previous` in interface `ResultSet`
Specified by:
  `previous` in class `Result`
Throws:
  `SQLException`

#### getFetchSize

    public int getFetchSize()

#### setFetchSize

    public void setFetchSize​(int fetchSize)
                      throws SQLException

Throws:
  `SQLException`